bbb_version: '2.1.0'
raw_audio_src: /var/freeswitch/meetings
raw_video_src: /usr/share/red5/webapps/video/streams
kurento_video_src: /var/kurento/recordings
kurento_screenshare_src: /var/kurento/screenshare
mediasoup_video_src: /var/mediasoup/recordings
mediasoup_screenshare_src: /var/mediasoup/screenshare
raw_screenshare_src: /usr/share/red5/webapps/screenshare/streams
raw_webrtc_deskshare_src: /usr/share/red5/webapps/video-broadcast/streams
raw_deskshare_src: /var/bigbluebutton/deskshare
raw_presentation_src: /var/bigbluebutton
notes_endpoint: http://127.0.0.1:9001/p
# Specify the notes formats we archive
# txt, doc and odt are also supported
notes_formats:
  - etherpad
  - html
  - pdf
redis_host: 127.0.0.1
redis_port: 6379
# Uncomment and set password if redis require it.
# redis_password: changeme

# redis_workers_host: 127.0.0.1
# redis_workers_port: 6379

# Set to true to insert recording process status into
# redis list with key "store_recording_status: true".
# This is useful if you want to track progress status
# and have another script process it.
store_recording_status: false
# Whether to anonymize the sender of chat messages in the processed
# recordings. The settings here are the defaults; they can be overridden
# by passing meta parameters on the meeting create call.
# meta param: meta_bbb-anonymize-chat (true/false)
anonymize_chat: false
# By default only names of viewers are anonymized - if you would also
# like to anonymize moderators, you can set this to true:
# meta param: meta_bbb-anonymize-chat-moderators (true/false)
anonymize_chat_moderators: false
# Sequence of recording steps. Keys are the current step, values
# are the next step(s). Examples:
#   current_step: next_step
#   "current_step-format": "next_step-format"
#   current_step:
#     - next_step
#     - another_step-format
steps:
  archive: "sanity"
  sanity: "captions"
  captions: "process:presentation"
  "process:presentation": "publish:presentation"
# For PRODUCTION
log_dir: /var/log/bigbluebutton
events_dir: /var/bigbluebutton/events
recording_dir: /var/bigbluebutton/recording
published_dir: /var/bigbluebutton/published
captions_dir: /var/bigbluebutton/captions
playback_host: "{{ bbb_recordings_playback_host }}"
playback_protocol: "{{ bbb_recordings_playback_protocol }}"

# For DEVELOPMENT
# This allows us to run the scripts manually
#scripts_dir: /home/ubuntu/dev/bigbluebutton/record-and-playback/core/scripts
#log_dir: /home/ubuntu/temp/log
#recording_dir: /home/ubuntu/temp/recording
#published_dir: /home/ubuntu/temp/published
#playback_host: 127.0.0.1
